stages:
  - package
  - integration
  - deploy

push image docker:
  image: docker:stable
  stage: package
  services:
    - docker:20-dind
  
  script:
    - docker login  -u amalgrami -p 98363923a  
    - docker build -t banqueimage .
    - docker tag banqueimage amalgrami/banquedevsesame
    - docker push amalgrami/banquedevsesame

integration test:
  image: docker:stable
  stage: integration
  services:
    - docker:18-dind
  script:
    - docker run -d --name banqueimage --network banquenetwork  amalgrami/banquedevsesame
    - sleep 10s
    - TEST_RESULT=$(docker run --network banquenetwork  lucj/curl -s http://banqueimage:8000)
    - echo $TEST_RESULT
    
deploy-swarm:
  stage: deploy
  image: alpine:3.9
  script:
    - apk update && apk add curl curl-dev
    - curl -X POST $PORTAINER_WEBHOOK
#test